

import 'dart:core';

/// Shorthand annotation of [SerializableJson] used to determine which classes will
/// be processed by the generator
const SerializableJson serializableJson = SerializableJson();

/// annotation used to determine which files will be processed by the generator
class SerializableJson {
  final String? methodOverlayName;
  final bool? nullSafe;
  const SerializableJson({this.methodOverlayName,this.nullSafe = true});
}
